import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  * Lsungsvorschlag zu GKInf / Einfache Programme / Schleifen / Aufg. 5
  * Primzahltest
  *
  * @version 1.0 vom 04.01.2012
  * @author Roland Mechling
  */

public class primtest extends JFrame {
  // Anfang Attribute
  private TextField textField1 = new TextField();
  private Label label1 = new Label();
  private Button button1 = new Button();
  private TextField textField3 = new TextField();
  // Ende Attribute

  public primtest(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 295; 
    int frameHeight = 183;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    textField1.setBounds(104, 24, 177, 25);
    textField1.setEditable(true);
    cp.add(textField1);
    label1.setBounds(16, 24, 83, 25);
    label1.setText("Nat. Zahl  n :");
    cp.add(label1);
    button1.setBounds(16, 64, 265, 33);
    button1.setLabel("Auf 'Primzahl?' testen");
    button1.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button1_ActionPerformed(evt);
      }
    });
    cp.add(button1);
    textField3.setBounds(16, 104, 265, 25);
    textField3.setEditable(false);
    cp.add(textField3);
    setTitle("Primzahl-Test");
    // Ende Komponenten

    setVisible(true);
  }

  // Anfang Methoden

  public boolean isPrim(int n) {
    if (n % 2 == 0) {
      return false;
    }
    int tt = 3;
    while ((tt <= n/2) && (n % tt != 0)) {
      tt = tt + 2;
    }
    return tt > n/2;
  }

  public void button1_ActionPerformed(ActionEvent evt) {
    /* Eingabe */
    int n  = Integer.parseInt(textField1.getText());

    /* Ausgabe */
    if (isPrim(n)) {
      textField3.setText("...ist eine Primzahl!");
    } else {
      textField3.setText("...ist teilbar.");
    }
  }

  public void button1_ActionPerformedOpt(ActionEvent evt) {
  }
  
  // Ende Methoden

  public static void main(String[] args) {
    new primtest("input_test1");
  }
}
